play.test

## Class BaseTest

- java.lang.Object
- - org.junit.Assert
  - - play.test.BaseTest

Direct Known Subclasses:
  FunctionalTest, UnitTest

    public abstract class BaseTest
    extends org.junit.Assert

### Field Summary

Fields
`PlayJUnitRunner.StartPlay` `startPlayBeforeTests`

### Constructor Summary

Constructors
Constructor and Description
`BaseTest()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `clearJPASession()` Deprecated.
`void` `pause(long millis)` Pause the current thread

### Methods inherited from class org.junit.Assert

`assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### startPlayBeforeTests

    public PlayJUnitRunner.StartPlay startPlayBeforeTests

### Constructor Detail

#### BaseTest

    public BaseTest()

### Method Detail

#### pause

    public void pause(long millis)

Pause the current thread

Parameters:
  `millis` - Time in milliseconds

#### clearJPASession

    @Deprecated
    public void clearJPASession()

Deprecated.
Flush and clear the JPA session